Skip to main content
GET
/
v2
/
devices
/
{device_id}
/
health
Device Health Check
curl --request GET \
  --url https://api.loyalty.dog/v2/devices/{device_id}/health \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "deviceId": "<string>",
  "lastSeenAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

device_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

Response schema for device health check.

status
string
required

Health status (ok/error)

deviceId
string
required

Device ID

deviceStatus
enum<string>
required

Current device status

Available options:
active,
inactive,
blocked,
pending_activation
lastSeenAt
string<date-time> | null

Last time the device was active